curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/containerRegistry/{containerRegistryId} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"kind": "ECR",
"description": "<string>",
"url": "<string>",
"cluster": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"associated_services_count": 123,
"config": {
"username": "<string>",
"region": "<string>",
"scaleway_access_key": "<string>",
"scaleway_project_id": "<string>",
"access_key_id": "<string>",
"role_arn": "<string>",
"azure_tenant_id": "<string>",
"azure_subscription_id": "<string>",
"azure_application_id": "<string>",
"azure_application_object_id": "<string>"
}
}curl --request GET \
--url https://api.qovery.com/organization/{organizationId}/containerRegistry/{containerRegistryId} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"kind": "ECR",
"description": "<string>",
"url": "<string>",
"cluster": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
},
"associated_services_count": 123,
"config": {
"username": "<string>",
"region": "<string>",
"scaleway_access_key": "<string>",
"scaleway_project_id": "<string>",
"access_key_id": "<string>",
"role_arn": "<string>",
"azure_tenant_id": "<string>",
"azure_subscription_id": "<string>",
"azure_application_id": "<string>",
"azure_application_object_id": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '
Organization ID
Container Registry ID
The container registry
The type of your container registry
ECR, SCALEWAY_CR, DOCKER_HUB, GITHUB_CR, GITHUB_ENTERPRISE_CR, GITLAB_CR, PUBLIC_ECR, DOCR, GENERIC_CR, GCP_ARTIFACT_REGISTRY, AZURE_CR URL of the container registry
Show child attributes
The number of services using this container registry
Show child attributes
Was this page helpful?